# gdcm::MD5 Class Reference

Class for MD5. More...

`#include <gdcmMD5.h>`

List of all members.

## Public Member Functions
| MD5 ()
| ~MD5 ()
## Static Public Member Functions
static bool | Compute (const char *buffer, unsigned long buf_len, char digest_str[33])
static bool | ComputeFile (const char *filename, char digest_str[33])

## Detailed Description

Class for MD5.

Warning:
  this class is able to pick from two implementations:

1. a lightweight md5 implementation (when GDCM_BUILD_TESTING is turned ON) 2. the one from OpenSSL (when GDCM_USE_SYSTEM_OPENSSL is turned ON)

In all other cases it will return an error

## Constructor & Destructor Documentation

gdcm::MD5::MD5 | ( |  | ) |

gdcm::MD5::~MD5 | ( |  | ) |

## Member Function Documentation

static bool gdcm::MD5::Compute | ( | const char * | buffer,
|  | unsigned long | buf_len,
|  | char | digest_str[33] |
| ) |  |  | `[static]`

static bool gdcm::MD5::ComputeFile | ( | const char * | filename,
|  | char | digest_str[33] |
| ) |  |  | `[static]`

The documentation for this class was generated from the following file:

- gdcmMD5.h